Package: grails.util

## [Java] Annotation Type Mixin

- grails.util.Mixin

-     @java.lang.annotation.Documented
      @java.lang.annotation.Retention(RetentionPolicy.SOURCE)
      @java.lang.annotation.Target(ElementType.TYPE)
      @org.codehaus.groovy.transform.GroovyASTTransformationClass("org.grails.compiler.injection.MixinTransformation")
      public @interface Mixin

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `java.lang.Class<?>[]` | `value`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Element Detail

    - #### public java.lang.Class<?>[] value